/* -------------+++++ PRELOADER */
/* #preloader {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: #333;
  z-index: 99999;
  display: grid;
  place-items: center;
} */

/* **********************************
        POPUP MODULE (#POOP545)
*********************************** */
/* ==> Review Popup */
.popup-container {
  width: 100%;
  height: 100dvh;
  overflow: hidden;
  position: fixed;
  top: 0;
  left: 0;
  z-index: +50;
  padding: 1.5rem;
  background: rgba(31, 31, 31, 0.692);
  backdrop-filter: blur(5px);
  display: none;
}
.popup-container.show {
  display: block;
  animation: showPop 0.5s ease;
}
@keyframes showPop {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.popup-container.hide {
  animation: hidePop 0.5s ease;
}
@keyframes hidePop {
  0% {
    opacity: 1;
    display: block;
  }
  95% {
    opacity: 0;
    display: block;
  }
  100% {
    opacity: 0;
    display: none;
  }
}

.popup-container .popup {
  width: 100%;
  margin: auto;
  padding: 0.94rem 1rem 1.6rem 1rem;
  border: var(--border-100);
  background: var(--bg-100);
}
.popup-container .popup.w-m {
  max-width: 55rem;
}
.popup-container .popup.w-s {
  max-width: 35rem;
}

.popup-container.show .popup {
  transform-origin: top center;
  animation: showPopForm 0.5s ease;
  /* display: flex; */
}
@keyframes showPopForm {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

.popup-container.hide .popup {
  animation: hidePopForm 0.5s ease;
}
@keyframes hidePopForm {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}

.popup-container .popup .module-body {
  max-height: calc(100dvh - 10rem);
  overflow-y: auto;
}
.popup-container .popup .module-body::-webkit-scrollbar {
  width: 0.2rem;
  border-radius: 50px;
}
.popup-container .popup .module-body::-webkit-scrollbar-thumb {
  background: var(--text-300);
}

.popup-container .close-box {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-bottom: 2rem;
}
.popup-container .close-box > *:not(:last-child) {
  margin-right: var(--gap-card);
}
.popup-container .close-box .title-box {
  flex-grow: 1;
}
.popup-container .close-box .title-box > * {
  margin: 0;
}
.popup-container .close-box button {
  padding: 0;
  font-size: 1.12rem;
  color: red;
  flex-shrink: 0;
}
.popup-container .close-box button:hover {
  transform: scale(1.1);
}

.popup-container form {
  display: grid;
  width: 100%;
  gap: var(--gap-card);
  border: none;
  padding: 0;
  border-radius: 0;
}

/* **********************************
        OFFCANVAS (#001OFFCNV)
*********************************** */
.offcanvas-sec {
  --offcnv-w-plu: 25rem;
  --offcnv-w-min: -25rem;
  --offcnv-padding: 1.25rem 1.25rem 0;
}

.offcanvas-sec.lg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0);
  z-index: +10;
  display: none;
}
.offcanvas-sec.lg.hide {
  animation: aniHideCSec 0.3s linear forwards;
}
@keyframes aniHideCSec {
  0% {
    background: rgba(0, 0, 0, 0.38);
    display: block;
  }
  100% {
    background: rgba(0, 0, 0, 0);
    display: none;
  }
}

.offcanvas-sec.lg.show {
  display: block;
  animation: aniShowCSec 0.3s linear forwards;
}
@keyframes aniShowCSec {
  0% {
    background: rgba(0, 0, 0, 0);
  }
  100% {
    background: rgba(0, 0, 0, 0.38);
  }
}

.offcanvas-sec.lg .offcanvas {
  position: absolute;
  top: 0;
  right: var(--offcnv-w-min);
  width: 100%;
  max-width: var(--offcnv-w-plu);
  height: 100%;
  height: 100dvh;
  flex-shrink: 0;
  background-color: var(--bg-200);
  padding: var(--offcnv-padding);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.offcanvas-sec.lg.hide .offcanvas {
  animation: hidecartbox 0.3s linear forwards;
}
@keyframes hidecartbox {
  0% {
    right: 0;
  }
  100% {
    right: var(--offcnv-w-min);
  }
}

.offcanvas-sec.lg.show .offcanvas {
  animation: showcartbox 0.3s linear forwards;
}
@keyframes showcartbox {
  0% {
    right: var(--offcnv-w-min);
  }
  100% {
    right: 0;
  }
}

/* ==> HEAD */
.offcanvas-sec.lg .offcanvas .offcanvas-head {
  border-bottom: var(--border-100);
  padding: 0 0 1rem 0;
  display: flex;
  justify-content: space-between;
  flex-shrink: 0;
}
.offcanvas-sec.lg .offcanvas-head .offcanvas-title {
  text-transform: capitalize;
  font-weight: 600;
  font-size: 1rem;
  margin: 0;
  flex-shrink: 0;
}
.offcanvas-sec.lg .offcanvas-head .offcanvas-title .badge {
  font-size: 0.75rem;
  margin-left: 0.31rem;
  background: var(--primary);
  color: white;
  border-radius: 3.13rem;
  padding: 0.19rem 0.8rem;
}

/* ==> BODY */
.offcanvas-sec.lg .offcanvas .offcanvas-body {
  padding: 1.25rem 0;
  flex-grow: 1;
  overflow-y: auto;
}

/* For Mobile view Offcanvas */
.offcanvas-sec.sm .offcanvas .offcanvas-head {
  display: none;
}
/* .offcanvas-sec.sm .offcanvas .offcanvas-body {
  display: none;
} */

.offcanvas-sec .offcanvas .offcanvas-body::-webkit-scrollbar {
  width: 0;
}

@media (max-width: 800px) {
  .offcanvas-sec.sm {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0);
    z-index: +10;
    display: none;
  }
  .offcanvas-sec.sm.hide {
    animation: aniHideCSec 0.3s linear forwards;
  }

  .offcanvas-sec.sm.show {
    display: block;
    animation: aniShowCSec 0.3s linear forwards;
  }

  .offcanvas-sec.sm .offcanvas {
    position: absolute;
    top: 0;
    right: var(--offcnv-w-min);
    width: 100%;
    max-width: var(--offcnv-w-plu);
    height: 100%;
    height: 100dvh;
    flex-shrink: 0;
    background-color: white;
    padding: var(--offcnv-padding);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .offcanvas-sec.sm.hide .offcanvas {
    animation: hidecartbox 0.3s linear forwards;
  }

  .offcanvas-sec.sm.show .offcanvas {
    animation: showcartbox 0.3s linear forwards;
  }

  /* ==> HEAD */
  .offcanvas-sec.sm .offcanvas .offcanvas-head {
    display: block;
    border-bottom: var(--border-dark);
    padding: 0 0 1rem 0;
    display: flex;
    justify-content: space-between;
    flex-shrink: 0;
  }
  .offcanvas-sec.sm .offcanvas-head .offcanvas-title {
    text-transform: capitalize;
    font-weight: 600;
    font-size: 1rem;
    margin: 0;
    flex-shrink: 0;
  }
  .offcanvas-sec.sm .offcanvas-head .offcanvas-title .badge {
    font-size: 0.75rem;
    margin-left: 0.31rem;
    background: var(--primary);
    color: white;
    border-radius: 3.13rem;
    padding: 0.19 0.5rem;
  }

  /* ==> BODY */
  .offcanvas-sec.sm .offcanvas .offcanvas-body {
    padding: 1.25rem 0;
    flex-grow: 1;
    overflow-y: auto;
    display: block;
  }
}

@media (max-width: 450px) {
  .offcanvas-sec {
    --offcnv-w-plu: 20.63rem;
    --offcnv-w-min: -20.63rem;
  }
}
@media (max-width: 340px) {
  .offcanvas-sec {
    --offcnv-w-plu: 18.44rem;
    --offcnv-w-min: -18.44rem;
  }
}

/* ****************************
        DROPDOWN (#002DROP)
******************************* */
.DROPDOWN {
  position: relative;
  flex-shrink: 0;
}
.DROPDOWN .dropdown-menu {
  padding-top: 10px;
  position: absolute;
  top: 100%;
  z-index: +5;
  transform: translateY(30px);
  display: none;
  opacity: 0;
}
.DROPDOWN .dropdown-menu.float-r {
  right: 0;
}
.DROPDOWN .dropdown-menu.float-l {
  left: 0;
}
.DROPDOWN:hover .dropdown-menu {
  display: block;
  animation: showDropdown 0.3s linear forwards;
}
@keyframes showDropdown {
  0% {
    transform: translateY(30px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

/* ****************************
       BREADCRUMBS (#BCRM458)
******************************* */
.Breadcrumb .container {
  padding: 50px 0;
  min-height: 35vh;
  display: flex;
  align-items: center;
}
.Breadcrumb .container > div {
  width: 100%;
  max-width: 750px;
  margin: auto;
}
.Breadcrumb .hd-prim {
  font-weight: 600;
  color: var(--text-fff);
  text-align: center;
}
.Breadcrumb p {
  color: var(--text-200);
  text-align: center;
  font-weight: 400;
  letter-spacing: 1px;
  font-size: 0.8rem;
}

@media (max-width: 800px) {
  .Breadcrumb p {
    font-size: 0.6rem;
  }

  .Breadcrumb .container {
    min-height: 19vh;
  }
}

/*******************************
         HEADINGS (#hd005)
  ********************************/
/* Helper classes */
.mb-prim {
  margin-bottom: 2rem;
}
.all-text-center * {
  text-align: center;
}

/* Big Heading  */
.hd-prim {
  --hp-f-size: 2.8rem;
  font-size: var(--hp-f-size);
  line-height: calc(var(--hp-f-size) + 0.2rem);
  font-weight: 700;
  margin-bottom: 0.9rem;
  color: var(--text-100);
  text-transform: capitalize;
}
.hd-prim.color-w {
  color: var(--text-w-100);
}

.hd-sub {
  --hs-f-size: 1.8rem;
  font-size: var(--hs-f-size);
  line-height: calc(var(--hp-f-size) + 0.2rem);
  font-weight: 700;
  margin-bottom: 0.5rem;
  color: var(--primary);
  text-transform: capitalize;
  font-family: var(--hd-font-2);
  text-transform: capitalize;
}
@media (max-width: 1200px) {
  .hd-prim {
    --hp-f-size: 2.4rem;
  }

  .hd-sub {
    --hs-f-size: 1.4rem;
  }
}
@media (max-width: 800px) {
  .hd-prim {
    --hp-f-size: 2rem;
  }

  .hd-sub {
    --hs-f-size: 1.5rem;
  }
}

@media (max-width: 800px) {
  .hd-prim {
    --hp-f-size: 2rem;
  }

  .hd-sub {
    --hs-f-size: 1.5rem;
  }
}

@media (max-width: 700px) {
  .hd-prim {
    --hp-f-size: 1.6rem;
  }

  .hd-sub {
    --hs-f-size: 1.2rem;
  }
}

/*******************************
          BUTTONS (#BTN004)
********************************/
/* ===> 🌟 Help classes of btns 🌟 +++++++++ */
.center-btn-box {
  display: flex;
  justify-content: center;
  margin-top: 2.5rem;
}

/* ===> 🌟 Size Varients of btn 🌟 +++++++++ */
/* Medium Size Btn (btn-md) */
.btn-lg {
  font-weight: 500;
  padding: 0.94rem 1.44rem;
  font-size: 0.88rem;
  border-radius: var(--radious-sec);
  text-align: center;
  color: var(--text-100);
  display: inline-block;
  text-transform: capitalize;
}

/* Medium Size Btn (btn-md) */
.btn-md {
  font-weight: 500;
  padding: 0.6rem 1.2rem;
  font-size: 0.81rem;
  border-radius: var(--radious-sec);
  text-align: center;
  color: var(--text-100);
  display: inline-block;
  text-transform: capitalize;
}

/* Small Size btn (btn-sm)*/
.btn-sm {
  font-weight: 400;
  letter-spacing: 1px;
  padding: 0.25rem 0.85rem;
  font-size: 0.7.5rem;
  border-radius: var(--radious-sec);
  color: var(--text-100);
  text-align: center;
  text-transform: capitalize;
}

@media (max-width: 800px) {
  .btn-lg {
    padding: 0.63rem 0.88rem;
    font-size: 0.75rem;
  }
  .btn-md {
    padding: 0.5rem 0.75rem;
    font-size: 0.75rem;
  }
  .btn-sm {
    font-size: 0.75rem;
  }
}

/* ===> 🌟 Btn varient by color 🌟 +++++++++ */
/* Primary Btn  */
.btn-prim {
  background: var(--primary);
  color: var(--text-w-100);
  border: 2px solid var(--primary);
  transition: var(--Etrns);
}
.btn-prim:is(:hover, :active) {
  background-color: var(--secoundry);
  border: 2px solid var(--secoundry);
  color: var(--text-w-100);
  transform: var(--btn-transform);
}

/* SECOUNDRY Btn  */
.btn-sec {
  background: var(--secoundry);
  color: var(--text-w-100);
  border: 2px solid var(--secoundry);
  transition: var(--Etrns);
}
.btn-sec:is(:hover, :active) {
  background-color: var(--primary);
  border: 2px solid var(--primary);
  color: var(--text-w-100);
  transform: var(--btn-transform);
}

/* Lite Btn  */
.btn-link {
  color: var(--primary);
  transition: var(--Etrns);
  padding-right: 0;
  padding-left: 0;
}
.btn-link:is(:hover, :active) {
  color: var(--secoundry);
  transform: var(--btn-transform);
}

/* ****************************
           Social Icons
******************************* */
.social-list ul {
  display: flex;
  list-style-type: none;
  padding: 0;
  margin: 0;
}
.social-list ul > *:not(:last-child) {
  margin-right: var(--gap-card);
}
.social-list a {
  text-decoration: none;
  font-size: 1.2rem;
  color: var(--text-200);
  transition: var(--Ltrns);
}
.social-list a:hover {
  transform: translateY(-3px);
  color: var(--secoundry);
}

/* ****************************
        OWL </> Btns Styling
  ******************************* */
.owl-nav button {
  width: 40px;
  height: 40px;
  display: grid !important;
  place-items: center;
  background-color: var(--prim-200) !important;
  border-radius: 100% !important;
  color: var(--primary) !important;
  transition: var(--Ltrns);
}
.owl-nav button:hover {
  background-color: var(--primary) !important;
  color: white !important;
}

/*========================================== 
==> STYLISH CHECK / RADIO BTN (#syrc5458)
===========================================*/
.Choose-Box {
  margin-bottom: 2rem;
}
.Choose-Box h6 {
  font-weight: 600;
  font-size: 0.9rem;
  margin-bottom: 0.5rem;
  color: var(--text-100);
}

.stylish-check :is(input[type="radio"], input[type="checkbox"]) {
  -webkit-appearance: none;
  display: none;
}

.stylish-check label {
  display: inline-block;
  font-size: 0.8rem;
  padding: 5px;
  min-width: 2rem;
  min-height: 2rem;
  text-align: center;
  background: var(--bg-fff);
  color: var(--text-200);
  font-weight: 500;
  border: var(--border-dark);
  border-radius: var(--radious-prim);
  cursor: pointer;
}
.stylish-check
  :is(
    input[type="radio"]:checked + label,
    input[type="checkbox"]:checked + label
  ) {
  border: 2px solid var(--secoundry);
  color: var(--secoundry);
}

/* --------------------------
    PLAYER (#PLY54R8)
---------------------------- */
/* Play Btn  */
.player button {
  width: 2.7rem;
  height: 2.7rem;
  padding: 0 !important;
  display: grid;
  border-radius: 100%;
  place-items: center;
  background-color: var(--primary);
  color: white;
  box-shadow: var(--bg-100) 0px 0px 0px 3px, white 0px 0px 0px 5px;
  font-size: 0.9rem;
  flex-shrink: 0;
  transition: var(--Etrns);
}

.player.play button {
  animation: playani 1s infinite linear;
}
@keyframes playani {
  0% {
    box-shadow: var(--bg-100) 0px 0px 0px 3px, white 0px 0px 0px 5px;
  }
  50% {
    box-shadow: var(--bg-100) 0px 0px 0px 4px, var(--primary) 0px 0px 0px 7px;
  }
  75% {
    box-shadow: var(--bg-100) 0px 0px 0px 2px, var(--secoundry) 0px 0px 0px 3px;
  }
  100% {
    box-shadow: var(--bg-100) 0px 0px 0px 3px, white 0px 0px 0px 5px;
  }
}

.player button:hover {
  background-color: var(--secoundry);
}

.player button:hover i {
  transform: scale(1.1);
}

/* @media (max-width: 900px) {
  .player button {
    width: 2.5rem;
    height: 2.5rem;
    font-size: 0.8rem;
  }
} */
@media (max-width: 800px) {
  .player {
    position: fixed;
    bottom: 5rem;
    right: 22px;
    z-index: +10;
  }
}

/*++++++++++++++++++++++++++++++
     SONG BTN  
++++++++++++++++++++++++++++++++*/
.songreq-btn {
  position: fixed;
    bottom: 4.5rem;
    right: 1.7rem;
    z-index: +6;
    display: grid;
    place-items: center;
    font-size: 0.9rem;
    width: 1.7rem;
    aspect-ratio: 1 / 1;
    background: var(--primary);
    color: var(--bg-100);
    border-radius: 100%;
    transition: var(--Etrns);
}
.songreq-btn:hover {
  transform: scale(1.1);
  background: var(--secoundry);
}
@media (max-width:800px) {
  .songreq-btn {
    bottom: 9rem;
    right: 1.7rem;
}
}

/*******************************
FORM DATE PICKER
********************************/
.my-datepicker {
  position: relative;
}
.my-datepicker::-webkit-calendar-picker-indicator {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: auto;
  height: auto;
  position: absolute;
  background: none;
  cursor: pointer;
}

.i-holder {
  position: relative;
}
.i-holder .my-i {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 1.2rem;
  color: var(--text-fff);
  pointer-events: none;
}

/*++++++++++++++++++++++++++++++
    Live Tag  
++++++++++++++++++++++++++++++++*/
.livetag {
  display: block;
  color: white;
    font-size: 0.7rem;
    margin-bottom: 0.5rem;
}
.live-span {
  display: inline-block;
  width: 8px;
  height: 8px;
  margin-right: 0.3rem;
  margin-left: 0.5rem;
  border-radius: 100%;
  background-color: #f61b1b;
  border: 1px solid white;
  animation: pulse-green 2s infinite;
}
@keyframes pulse-green {
  0% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(217, 51, 51, 0.7);
  }

  70% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(217, 51, 51, 0);
  }

  100% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(217, 51, 51, 0);
  }
}
  
  /*++++++++++++++++++++++++++++++
      No Data  
  ++++++++++++++++++++++++++++++++*/
  .no-data{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 35dvh;
  }
  .no-data > *{
    color: rgb(71 86 116);
  text-align: center;
  font-size: 1.5rem;
  font-weight: 700;
  }